/** Copyright (c) 2019 SmartDraw, LLC. All rights reserved.
// www.visualscript.com/licenses/sdk-license.htm
// Version: 0.1.0 */

package SDON;

/**
 * Enum for describing the different arrowheads that can be used.
 */
public abstract class Arrowheads {
    /**
     * No arrowhead.
     */
    public static final int None =                 0;

    /**
     * Filled Triangle Arrowhead arrowhead.
     */
    public static final int Filled =               1;

    /**
     * Triangle Arrowhead that is not filled.
     */
    public static final int Line =                 2;

    /**
     * A fancy arrowhead.
     */
    public static final int Fancy =                3;

    /**
     * An arrowhead that is a filled circle.
     */
    public static final int FilledCircle =         4;

    /**
     * An arrowhead that is an empty circle.
     */
    public static final int EmptyCircle =          5;

    /**
     * An arrowhead that is a filled square.
     */
    public static final int FilledSquare =         6;

    /**
     * An arrowhead that is an unfilled square.
     */
    public static final int EmptySquare =          7;

    /**
     * A crow's foot style arrowhead.
     */
    public static final int CrowsFoot =            8;

    /**
     * An arrowhead that is a backslash.
     */
    public static final int Slash =                9;

    /**
     * A filled crow's foot style arrowhead.
     */
    public static final int FilledCrowsFoot =     10;

    /**
     * A filled diamond arrowhead.
     */
    public static final int Diamond =             11;

    /**
     * A zero-to-many relationship arrowhead.
     */
    public static final int ZeroToMany =          12;

    /**
     * A one-to-many relationship arrowhead.
     */
    public static final int OneToMany =           13;

    /**
     * A zero-to-one relationship arrowhead.
     */
    public static final int ZeroToOne =           14;

    /**
     * A one-to-one relationship arrowhead.
     */
    public static final int OneToOne =            15;

    /**
     * A one-to-zero relationship arrowhead.
     */
    public static final int OneToZero =           16;

    /**
     * A center filled arrowhead.
     */
    public static final int CenterFilled =        17;

    /**
     * A center line arrowhead.
     */
    public static final int CenterLine =          18;

    /**
     * A center fancy arrowhead.
     */
    public static final int CenterFancy =         19;

    /**
     * A double arrowhead.
     */
    public static final int Double =              20;

    /**
     * A filled dimension line arrowhead.
     */
    public static final int FilledDimension =     21;

    /**
     * A plain dimension line arrowhead.
     */
    public static final int PlainDimension =      22;

    /**
     * The default dimension line arrowhead.
     */
    public static final int DimensionLine =       23;

    /**
     * The arrowhead is a metafile. (Not supported)
     */
    public static final int Metafile =            24;

    /**
     * An downards arcing arrowhead.
     */
    public static final int ArcDown =             25;

    /**
     * An upwards arcing arrowhead.
     */
    public static final int ArcUp =               26;

    /**
     * A half-arrowhead on top of the line.
     */
    public static final int HalfUp =              27;

    /**
     * A half-arrowhead on the bottom of the line.
     */
    public static final int HalfDown =            28;

    /**
     * An arrowhead that is a perprendicular line going up out of the line.
     */
    public static final int CenterCross =         29;

    /**
     * An arrowhead that is a perprendicular line going down out of the line.
     */
    public static final int HalfLineUp =          30;

    /**
     * An arrowhead that is a perprendicular line going down out of the line.
     */
    public static final int HalfLineDown =        31;

    /**
     * A forward slash arrowhead.
     */
    public static final int OtherSlash =          32;

    /**
     * An open arrowhead that is filled.
     */
    public static final int OpenFilled =          33;

    /**
     * An open crow's foot arrowhead.
     */
    public static final int OpenFilledCrowsFoot = 34;

    /**
     * An open diamond arrowhead.
     */
    public static final int OpenFilledDiamond =   35;

    /**
     * A cross shaped arrowhead.
     */
    public static final int OneLineAcross =       36;

    /**
     * An indicator arrowhead on the bottom of the line.
     */
    public static final int IndicatorDown =       37;

    /**
     * An indicator arrowhead on the top of the line.
     */
    public static final int IndicatorUp =         38;

    /**
     * A filled circular end.
     */
    public static final int RoundEnd =            39;
}