package SDON;

import java.util.ArrayList;

import SDON.sdonbuilder.sdonserialize.SDONSerializable;

/**
 * Object that represents a row of column values in a DataTable.
 */
public class DataRow {
    /**
     * The ID of the row.
     */
    @SDONSerializable
    public String RowID = null;
    
    /**
     * A list of fields that are used to populate a row in a DataTable schema
     * defined in the Diagram object.
     */
    @SDONSerializable
    public ArrayList<DataField> Fields = null;
    
 
    /**
     * Set a list of fields into the row
     * @param fields - Array of DataFields containing field information
     * @return DataRow
     */
    public DataRow SetValues(ArrayList<DataField> fields) {
    	
    	if (Fields == null)
    		Fields = new ArrayList<DataField>();
    	
    	Fields.addAll(fields);
    	
    	return this;
    }
}