package SDON;

import java.util.ArrayList;


/**
 * An object that contains an array of shapes that are connected to it by an
 * automatic connector. Defines an automatic connector.
 */
public interface TextInterfaceAlignment<T extends TextInterfaceAlignment<T>> {
 
	
    /**
     * Aligns the text label to the left, right or centered in the shape. If
     * omitted, the alignment is the default for the template. A value from the
     * {@link HorizontalAlignments} enum.
     * @param textAlignH - Horizontal text alignment
     * @return T
     */
    public T SetTextAlignH(String  textAlignH);
    
    /**
     * Align the text label to the top, bottom or middle in the shape. If
     * omitted, the alignment is the default for the template. A value from the
     * {@link VerticalAlignments} enum.
     * @param textAlignV - Vertical text alignment
     * @return T
     */
    public T SetTextAlignV(String  textAlignV);

}