package SDON;

import java.util.ArrayList;


/**
 * An object that contains an array of shapes that are connected to it by an
 * automatic connector. Defines an automatic connector.
 */
public interface TextInterfaceExtended<T extends TextInterfaceExtended<T>> {
 
	
    /**
     * A hyperlink on the text.
     * @param textHyperlink - URL
     * @return T
     */
    public T SetTextHyperlink(String  textHyperlink);
    
    /**
     * Defines the number of characters to allow in a shape before the
     * remaining text is truncated. By default nothing is truncated. Defining
     * Truncate to "-1" turns it off if on by default.
     * @param truncate - Number of characters to display before truncating text
     * @return T
     */
    public T SetTextTruncate(int  truncate);

}